Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/tables/tables.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/tables/tables.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/tables/tables.xsl	(revision 2397)
@@ -332,254 +383,262 @@
 				                                      </xsl:otherwise>
 				                                   </xsl:choose>
 			                                 </xsl:attribute>
-			                                 <xsl:attribute name="ROWPOS" select="$ROWPOS"/>
-			                                 <xsl:attribute name="VMERGE" select="$VMERGE"/>
-			                                 <xsl:copy-of select="@*"/>
-			                                 <xsl:copy-of select="*"/>
-			                              </xsl:copy>
-			                              <xsl:if test="w:tcPr/w:gridSpan/@w:val">
-			                                 <xsl:variable name="N" select="number(w:tcPr/w:gridSpan/@w:val)           cast as xs:integer"/>
-			                                 <xsl:for-each select="2 to $N">
-				                                   <w:tc DUMMY="yes">
-								     <xsl:copy-of select="$innards"/>
-				                                   </w:tc>
-			                                 </xsl:for-each>
-			                              </xsl:if>
-			                           </xsl:for-each>
-			                        </xsl:copy>
-		                      </xsl:for-each>
-		                   </tbody>
-		                </tgroup>
-		             </table>
-		             <!--
-		    <xsl:comment>START</xsl:comment>
-		    <TABLE>
-		    <xsl:copy-of select="$TABLE"/>
-		    </TABLE>
-		    <xsl:comment>END</xsl:comment>
-		-->
-	      </xsl:variable>
-	      <xsl:variable name="n">
-		<xsl:number level="any"/>
-	      </xsl:variable>
-	      <xsl:for-each select="$TABLE">
-		<xsl:apply-templates mode="insideCalsTable">
-		  <xsl:with-param name="n" select="$n" tunnel="yes"/>
-		</xsl:apply-templates>
-	      </xsl:for-each>
-	    </xsl:when>
-	    <xsl:otherwise>
-	      <table rend="rules">
-		<xsl:call-template name="table-header"/>
-		<xsl:for-each select="w:tr">
-		  <row>
-		    <xsl:for-each select="w:tc">
-		      <cell>
-			<xsl:if test="preserveEffects='true'">
-			  <xsl:attribute name="tei:align">
+												<xsl:attribute name="ROWPOS" select="$ROWPOS" />
+												<xsl:attribute name="VMERGE" select="$VMERGE" />
+												<xsl:copy-of select="@*" />
+												<xsl:copy-of select="*" />
+											</xsl:copy>
+											<xsl:if test="w:tcPr/w:gridSpan/@w:val">
+												<xsl:variable name="N"
+													select="number(w:tcPr/w:gridSpan/@w:val)           cast as xs:integer" />
+												<xsl:for-each select="2 to $N">
+													<w:tc DUMMY="yes">
+														<xsl:copy-of select="$innards" />
+													</w:tc>
+												</xsl:for-each>
+											</xsl:if>
+										</xsl:for-each>
+									</xsl:copy>
+								</xsl:for-each>
+							</tbody>
+						</tgroup>
+					</table>
+					<!-- <xsl:comment>START</xsl:comment> <TABLE> <xsl:copy-of select="$TABLE"/> 
+						</TABLE> <xsl:comment>END</xsl:comment> -->
+				</xsl:variable>
+				<xsl:variable name="n">
+					<xsl:number level="any" />
+				</xsl:variable>
+				<xsl:for-each select="$TABLE">
+					<xsl:apply-templates mode="insideCalsTable">
+						<xsl:with-param name="n" select="$n" tunnel="yes" />
+					</xsl:apply-templates>
+				</xsl:for-each>
+			</xsl:when>
+			<xsl:otherwise>
+				<table rend="rules">
+					<xsl:call-template name="table-header" />
+					<xsl:for-each select="w:tr">
+						<row>
+							<xsl:for-each select="w:tc">
+								<cell>
+									<xsl:if test="preserveEffects='true'">
+										<xsl:attribute name="tei:align">
 			    <xsl:choose>
 			      <xsl:when test="w:p/w:pPr/w:jc">
-				<xsl:value-of
-				  select="w:p[1]/w:pPr/w:jc/@w:val"/>
+				<xsl:value-of select="w:p[1]/w:pPr/w:jc/@w:val" />
 			      </xsl:when>
 			      <xsl:otherwise>
 				<xsl:text>left</xsl:text>
 			      </xsl:otherwise>
 			    </xsl:choose>
 			  </xsl:attribute>
-			</xsl:if>
-			<xsl:if test="w:tcPr/w:gridSpan">
-			  <xsl:attribute name="cols" select="w:tcPr/w:gridSpan/@w:val"/>
-			</xsl:if>
-			<xsl:variable name="val" select="w:p[1]/w:pPr/w:pStyle/@w:val"/>
-			<xsl:choose>
-			  <xsl:when test="$val='[No Paragraph Style]'"/>
-			  <xsl:when test="$val='Table text (9)'"/>
-			  <xsl:when test="$val='Table Contents'"/>
-			  <xsl:when test="string-length($val)=0"/>
-			  <xsl:otherwise>
-			    <xsl:attribute name="rend">
-			      <xsl:value-of select="replace($val,' ','_')"/>
-			      <xsl:if test="w:tcPr/w:shd/@w:fill and not(w:tcPr/w:shd/@w:fill='auto')">
+									</xsl:if>
+									<xsl:if test="w:tcPr/w:gridSpan">
+										<xsl:attribute name="cols"
+											select="w:tcPr/w:gridSpan/@w:val" />
+									</xsl:if>
+									<xsl:variable name="val"
+										select="w:p[1]/w:pPr/w:pStyle/@w:val" />
+									<xsl:choose>
+										<xsl:when test="$val='[No Paragraph Style]'" />
+										<xsl:when test="$val='Table text (9)'" />
+										<xsl:when test="$val='Table Contents'" />
+										<xsl:when test="string-length($val)=0" />
+										<xsl:otherwise>
+											<xsl:attribute name="rend">
+			      <xsl:value-of select="replace($val,' ','_')" />
+			      <xsl:if
+												test="w:tcPr/w:shd/@w:fill and not(w:tcPr/w:shd/@w:fill='auto')">
 				<xsl:text> background-color(</xsl:text>
-				<xsl:value-of select="w:tcPr/w:shd/@w:fill"/>
+				<xsl:value-of select="w:tcPr/w:shd/@w:fill" />
 				<xsl:text>)</xsl:text>
 			      </xsl:if>
 			    </xsl:attribute>
-			  </xsl:otherwise>
-			  </xsl:choose>
-			  <xsl:if test="w:tcPr/w:gridSpan">
-			    <xsl:attribute name="cols">
-			      <xsl:value-of select="w:tcPr/w:gridSpan/@w:val"/>
+										</xsl:otherwise>
+									</xsl:choose>
+									<xsl:if test="w:tcPr/w:gridSpan">
+										<xsl:attribute name="cols">
+			      <xsl:value-of select="w:tcPr/w:gridSpan/@w:val" />
 			    </xsl:attribute>
-			  </xsl:if>
-			  <xsl:call-template name="mainProcess"/>
-		      </cell>
-		    </xsl:for-each>
-		  </row>
-		</xsl:for-each>
-	      </table>
-	    </xsl:otherwise>
-	  </xsl:choose>
+									</xsl:if>
+									<xsl:call-template name="mainProcess" />
+								</cell>
+							</xsl:for-each>
+						</row>
+					</xsl:for-each>
+				</table>
+			</xsl:otherwise>
+		</xsl:choose>
 	</xsl:template>
-	
-	  <xsl:template match="*" mode="insideCalsTable">
-	     <xsl:copy>
-	        <xsl:copy-of select="@*"/>
-	        <xsl:apply-templates mode="insideCalsTable"/>	    
-	     </xsl:copy>
-	  </xsl:template>
 
-	  <xsl:template match="w:tr" mode="insideCalsTable">
-	     <row xmlns="http://www.oasis-open.org/specs/tm9901">
-	        <xsl:for-each select="w:tc[not(@DUMMY='yes')]">
-		  <xsl:variable name="cellBorderStyles">
-		    <xsl:call-template name="getTableBorderStyles">
-		      <xsl:with-param name="tblBorders" select="w:tcPr/w:tcBorders"/>
-		    </xsl:call-template>
-		  </xsl:variable>
-	           <xsl:choose>
-		             <xsl:when test="w:tcPr/w:vMerge[not(@w:val='restart')]"/>
-		             <xsl:otherwise>
-		                <entry>
-		                   <xsl:variable name="ROWPOS" select="@ROWPOS"/>
-		                   <xsl:variable name="COLPOS">
-		                      <xsl:number/>
-		                   </xsl:variable>
-		                   <xsl:copy-of select="@rowsep"/>
-		                   <xsl:copy-of select="@colsep"/>
-		                   <xsl:attribute name="colname">
+	<xsl:template match="*" mode="insideCalsTable">
+		<xsl:copy>
+			<xsl:copy-of select="@*" />
+			<xsl:apply-templates mode="insideCalsTable" />
+		</xsl:copy>
+	</xsl:template>
+
+	<xsl:template match="w:tr" mode="insideCalsTable">
+		<row xmlns="http://www.oasis-open.org/specs/tm9901">
+			<xsl:for-each select="w:tc[not(@DUMMY='yes')]">
+				<xsl:variable name="cellBorderStyles">
+					<xsl:call-template name="getTableBorderStyles">
+						<xsl:with-param name="tblBorders"
+							select="w:tcPr/w:tcBorders" />
+					</xsl:call-template>
+				</xsl:variable>
+				<xsl:choose>
+					<xsl:when test="w:tcPr/w:vMerge[not(@w:val='restart')]" />
+					<xsl:otherwise>
+						<entry>
+							<xsl:variable name="ROWPOS" select="@ROWPOS" />
+							<xsl:variable name="COLPOS">
+								<xsl:number />
+							</xsl:variable>
+							<xsl:copy-of select="@rowsep" />
+							<xsl:copy-of select="@colsep" />
+							<xsl:attribute name="colname">
 		                      <xsl:text>c</xsl:text>
-		                      <xsl:value-of select="$COLPOS"/>
+		                      <xsl:value-of select="$COLPOS" />
 		                   </xsl:attribute>
-				   <xsl:if test="normalize-space($cellBorderStyles)!=''">
-				     <xsl:attribute
-					 name="iso:style">
-				       <xsl:value-of select="normalize-space($cellBorderStyles)"/>
+							<xsl:if test="normalize-space($cellBorderStyles)!=''">
+								<xsl:attribute name="iso:style">
+				       <xsl:value-of
+									select="normalize-space($cellBorderStyles)" />
 				     </xsl:attribute>
-				   </xsl:if>
-		                   <xsl:if test="w:p/w:pPr/w:jc">
-		                      <xsl:attribute name="align">
-			                        <xsl:value-of select="w:p[w:pPr/w:jc/@w:val][1]/w:pPr/w:jc/@w:val"/>
+							</xsl:if>
+							<xsl:if test="w:p/w:pPr/w:jc">
+								<xsl:attribute name="align">
+			                        <xsl:value-of
+									select="w:p[w:pPr/w:jc/@w:val][1]/w:pPr/w:jc/@w:val" />
 		                      </xsl:attribute>
-		                   </xsl:if>
-		                   <xsl:if test="w:tcPr/w:gridSpan">
-		                      <xsl:attribute name="namest">
+							</xsl:if>
+							<xsl:if test="w:tcPr/w:gridSpan">
+								<xsl:attribute name="namest">
 			                        <xsl:text>c</xsl:text>
-			                        <xsl:value-of select="$COLPOS"/>
+			                        <xsl:value-of select="$COLPOS" />
 		                      </xsl:attribute>
-		                      <xsl:attribute name="nameend">
+								<xsl:attribute name="nameend">
 			                        <xsl:text>c</xsl:text>
-			                        <xsl:value-of select="$COLPOS+number(w:tcPr/w:gridSpan/@w:val)-1"/>
+			                        <xsl:value-of
+									select="$COLPOS+number(w:tcPr/w:gridSpan/@w:val)-1" />
 		                      </xsl:attribute>
-		                   </xsl:if>
-		                   <xsl:if test="w:tcPr/w:vAlign">
-		                      <xsl:attribute name="valign">
+							</xsl:if>
+							<xsl:if test="w:tcPr/w:vAlign">
+								<xsl:attribute name="valign">
 			                        <xsl:choose>
-			                           <xsl:when test="w:tcPr/w:vAlign/@w:val='center'">middle</xsl:when>
+			                           <xsl:when
+									test="w:tcPr/w:vAlign/@w:val='center'">middle</xsl:when>
 			                           <xsl:otherwise>
-			                              <xsl:value-of select="w:tcPr/w:vAlign/@w:val"/>
+			                              <xsl:value-of
+									select="w:tcPr/w:vAlign/@w:val" />
 			                           </xsl:otherwise>
 			                        </xsl:choose>
 		                      </xsl:attribute>
-		                   </xsl:if>
-		                   <xsl:if test="w:tcPr/w:textDirection[@w:val='btLr']">
-		                      <xsl:attribute name="rotate">
+							</xsl:if>
+							<xsl:if test="w:tcPr/w:textDirection[@w:val='btLr']">
+								<xsl:attribute name="rotate">
 			                        <xsl:text>1</xsl:text>
 		                      </xsl:attribute>
-		                   </xsl:if>
-		                   <xsl:if test="w:tcPr/w:vMerge/@w:val='restart'">
-		                      <xsl:variable name="MOREROWS">
-			                        <xsl:choose>
-			                           <xsl:when test="parent::w:tr/following-sibling::w:tr/w:tc[position()=$COLPOS][@VMERGE='start']">
-			                              <xsl:for-each select="(parent::w:tr/following-sibling::w:tr/w:tc[position()=$COLPOS][@VMERGE='start'])[1]">
-			                                 <xsl:value-of select="@ROWPOS"/>
-			                              </xsl:for-each>
-			                           </xsl:when>
-			                           <xsl:otherwise>
-			                              <xsl:value-of select="parent::w:tr/following-sibling::w:tr[last()]/w:tc/@ROWPOS"/>
-			                           </xsl:otherwise>
-			                        </xsl:choose>
-		                      </xsl:variable>
-		                      <!--
-			  <xsl:message>start a merged cell at <xsl:value-of
-			  select="$ROWPOS"/>/<xsl:value-of select="$COLPOS"/>
-			  <xsl:text>: </xsl:text>
-			  <xsl:value-of select="$MOREROWS"/>-<xsl:value-of
-			  select="$ROWPOS"/> =<xsl:value-of select="."/>
-			  </xsl:message>
-		      -->
-		      <xsl:attribute name="morerows">
-			<xsl:value-of select="number($MOREROWS) -            number($ROWPOS) -1"/>
+							</xsl:if>
+							<xsl:if test="w:tcPr/w:vMerge/@w:val='restart'">
+								<xsl:variable name="MOREROWS">
+									<xsl:choose>
+										<xsl:when
+											test="parent::w:tr/following-sibling::w:tr/w:tc[position()=$COLPOS][@VMERGE='start']">
+											<xsl:for-each
+												select="(parent::w:tr/following-sibling::w:tr/w:tc[position()=$COLPOS][@VMERGE='start'])[1]">
+												<xsl:value-of select="@ROWPOS" />
+											</xsl:for-each>
+										</xsl:when>
+										<xsl:otherwise>
+											<xsl:value-of
+												select="parent::w:tr/following-sibling::w:tr[last()]/w:tc/@ROWPOS" />
+										</xsl:otherwise>
+									</xsl:choose>
+								</xsl:variable>
+								<!-- <xsl:message>start a merged cell at <xsl:value-of select="$ROWPOS"/>/<xsl:value-of 
+									select="$COLPOS"/> <xsl:text>: </xsl:text> <xsl:value-of select="$MOREROWS"/>-<xsl:value-of 
+									select="$ROWPOS"/> =<xsl:value-of select="."/> </xsl:message> -->
+								<xsl:attribute name="morerows">
+			<xsl:value-of
+									select="number($MOREROWS) -            number($ROWPOS) -1" />
 		      </xsl:attribute>
-				   </xsl:if>
-				   <xsl:choose>
-				     <xsl:when test="count(w:p)&gt;1
+							</xsl:if>
+							<xsl:choose>
+								<xsl:when
+									test="count(w:p)&gt;1
 						     or w:p/w:pPr/w:pStyle">
-					<xsl:call-template name="cellContents"/>
-		                      </xsl:when>
-		                      <xsl:otherwise>
-			                        <xsl:apply-templates/>
-		                      </xsl:otherwise>
-		                   </xsl:choose>
-		                </entry>
-		             </xsl:otherwise>
-	           </xsl:choose>
-	        </xsl:for-each>
-	     </row>
+									<xsl:call-template name="cellContents" />
+								</xsl:when>
+								<xsl:otherwise>
+									<xsl:apply-templates />
+								</xsl:otherwise>
+							</xsl:choose>
+						</entry>
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:for-each>
+		</row>
 
-	  </xsl:template>
+	</xsl:template>
 
-	  <xsl:template name="cellContents">
-	     <xsl:apply-templates select="w:p" mode="inTable"/> 
-	  </xsl:template>
+	<xsl:template name="cellContents">
+		<xsl:apply-templates select="w:p" mode="inTable" />
+	</xsl:template>
 
-	  <xsl:template match="w:p" mode="inTable">
-	     <p rend="{w:pPr/w:pStyle/@w:val}">
-	        <xsl:apply-templates/>
-	     </p>
-	  </xsl:template>
+	<xsl:template match="w:p" mode="inTable">
+		<p rend="{w:pPr/w:pStyle/@w:val}">
+			<xsl:apply-templates />
+		</p>
+	</xsl:template>
 
-	  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc>
-	    getting the basic table structure
-    </desc>
-   </doc>
-	  <xsl:template match="w:gridCol|w:tblBorders|w:tblCellMar|w:tblGrid|w:tblLayout|w:tblLook|w:tblPr|w:tblW|w:tc|w:tcBorders|w:tcPr|w:tcW|w:tr|w:trPr|w:vAlign|w:top|w:left|w:bottom|w:right|w:insideH|w:insideV">
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			getting the basic table structure
+		</desc>
+	</doc>
+	<xsl:template
+		match="w:gridCol|w:tblBorders|w:tblCellMar|w:tblGrid|w:tblLayout|w:tblLook|w:tblPr|w:tblW|w:tc|w:tcBorders|w:tcPr|w:tcW|w:tr|w:trPr|w:vAlign|w:top|w:left|w:bottom|w:right|w:insideH|w:insideV">
 
-		    <xsl:choose>
-			      <xsl:when test="$tableMethod='word'">
-				        <xsl:copy>
-					          <xsl:copy-of select="@*"/>
-					          <xsl:apply-templates/>
-				        </xsl:copy>
-			      </xsl:when>
-			      <xsl:otherwise>
-				        <xsl:apply-templates/>
-			      </xsl:otherwise>
-		    </xsl:choose>
-	  </xsl:template>
+		<xsl:choose>
+			<xsl:when test="$tableMethod='word'">
+				<xsl:copy>
+					<xsl:copy-of select="@*" />
+					<xsl:apply-templates />
+				</xsl:copy>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:apply-templates />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
 
-    <xsl:template name="table-header">
-        <xsl:variable name="precedingTableTitle"
-                    select="preceding-sibling::w:p[w:pPr/w:pStyle/@w:val='TableTitle'             or w:pPr/w:pStyle/@w:val=$Tabletitle][1]"/>
-        <xsl:if test="$precedingTableTitle and $precedingTableTitle/following-sibling::w:tbl[1] and generate-id()=generate-id($precedingTableTitle/following-sibling::w:tbl[1])">
-            <head>
-                <xsl:apply-templates select="$precedingTableTitle"/>
-            </head>
-        </xsl:if>
-    </xsl:template>
-    
-    <xsl:template name="cals-table-header">
-        <xsl:variable name="precedingTableTitle"
-                    select="preceding-sibling::w:p[w:pPr/w:pStyle/@w:val='TableTitle'             or w:pPr/w:pStyle/@w:val=$Tabletitle][1]"/>
-        <xsl:if test="$precedingTableTitle and $precedingTableTitle/following-sibling::w:tbl[1] and generate-id()=generate-id($precedingTableTitle/following-sibling::w:tbl[1])">
-            <title xmlns="http://www.oasis-open.org/specs/tm9901">
-                <xsl:apply-templates select="$precedingTableTitle"/>
-            </title>
-        </xsl:if>
-    </xsl:template>
-    
+	<xsl:template name="table-header">
+		<xsl:variable name="precedingTableTitle"
+			select="preceding-sibling::w:p[w:pPr/w:pStyle/@w:val='TableTitle'             or w:pPr/w:pStyle/@w:val=$Tabletitle][1]" />
+		<xsl:if
+			test="$precedingTableTitle and $precedingTableTitle/following-sibling::w:tbl[1] and generate-id()=generate-id($precedingTableTitle/following-sibling::w:tbl[1])">
+			<head>
+				<xsl:apply-templates
+					select="$precedingTableTitle" />
+			</head>
+		</xsl:if>
+	</xsl:template>
+
+	<xsl:template name="cals-table-header">
+		<xsl:variable name="precedingTableTitle"
+			select="preceding-sibling::w:p[w:pPr/w:pStyle/@w:val='TableTitle'             or w:pPr/w:pStyle/@w:val=$Tabletitle][1]" />
+		<xsl:if
+			test="$precedingTableTitle and $precedingTableTitle/following-sibling::w:tbl[1] and generate-id()=generate-id($precedingTableTitle/following-sibling::w:tbl[1])">
+			<title xmlns="http://www.oasis-open.org/specs/tm9901">
+				<xsl:apply-templates
+					select="$precedingTableTitle" />
+			</title>
+		</xsl:if>
+	</xsl:template>
+
 </xsl:stylesheet>
